require 'spec_helper'

class Fixnum
  include Workbox::Time
end

class String
  include Workbox::Time
end

RSpec.describe Workbox::Time do
  it "converts a number into minutes" do
    expect(10.minutes).to eq(600)
  end

  it "converts a string into minutes" do
    expect('10'.hours).to eq(600.minutes)
  end

  it "converts a number into hours" do
    expect(1.hour).to eq(60.minutes)
    expect(1.hour).to eq(1.minute*60)
  end

  it "converts a number into days" do
    expect(1.day).to eq(24.hours)
  end
end
